package com.sifang.modules.sys.common.utils;

import org.apache.commons.lang3.StringUtils;

import java.math.BigDecimal;

public class MathUtils {

    public static BigDecimal sumBigDecimal(BigDecimal... values) {
        BigDecimal s = new BigDecimal("0");
        for (BigDecimal v : values) {
            if (v != null) {
                s = s.add(v);
            }
        }
        return s;
    }

    public static BigDecimal asBigDecimal(String val) {
        return StringUtils.isBlank(val) ? new BigDecimal("0") : new BigDecimal(val);
    }
}
